Bug 815161 - RFE: Inject Topic ID to bug link always
RFE: Inject Topic ID to bug link always
Status: CLOSED CURRENTRELEASE
Product: PressGang CCMS
Classification: Community
Component: Web-UI (Show other bugs)
1.x
Unspecified Unspecified
urgent Severity low
: ---
: ---
Assigned To: Lee Newson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-22 21:23 EDT by Joshua Wulf
Modified: 2014-10-19 19:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-01 19:28:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Wulf 2012-04-22 21:23:05 EDT
Atm, if no BZPRODUCT / BZCOMPONENT is specified, a generic bugzilla link is injected.

Can we make it so that the topic id is injected to the BZ link, even when no BZPRODUCT or BZCOMPONENT are specified.

A production book with bug links but no BZPRODUCT/BZCOMPONENT is of questionable value, and probably won't (shouldn't) be a common pattern.

However, a book in production with no BZPRODUCT/BZCOMPONENT is common, and the topic ID in the bug link is useful for the greasemonkey script to open the topics in the web interface.

So that's the usecase for no BZPRODUCT/BZCOMPONENT + needs Topic ID in the bug link.
Comment 1 Joshua Wulf 2012-04-22 21:39:41 EDT
"However, a book in *development* with no BZPRODUCT/BZCOMPONENT is common,"
Comment 2 Lee Newson 2012-07-11 18:51:03 EDT
Done.

Now the Environment Variables and Build ID will always be populated for topic bug links.
Comment 3 Lee Newson 2012-07-11 23:58:02 EDT
Added the assigned_to field as well (assuming that the assigned_writer is setup correctly), as that may be useful.
Comment 4 Lee Newson 2012-08-28 19:56:22 EDT
Released in build 20120817-1046 and CSP version 0.26.4.

Note You need to log in before you can comment on or make changes to this bug.